com.informix.jdbc

## Class IfxImpExp

- java.lang.Object
- - com.informix.jdbc.IfxObject
  - - com.informix.jdbc.IfxVarChar
    - - com.informix.jdbc.IfxLvarchar
      - - com.informix.jdbc.IfxImpExp

    public class IfxImpExp
    extends IfxLvarchar

### Field Summary

### Fields inherited from class com.informix.jdbc.IfxLvarchar

`defaultEncoding`

### Fields inherited from class com.informix.jdbc.IfxVarChar

`value`

### Fields inherited from class com.informix.jdbc.IfxObject

`conn, encodedLength, extendedID, extendedName, extendedOwner, ifxType, isNull, jdbcType, sourceType, trace, typeMap, used_in_update`

### Constructor Summary

Constructors
Constructor and Description
`IfxImpExp(java.lang.String str)`

### Method Summary

### Methods inherited from class com.informix.jdbc.IfxLvarchar

`fromBytes, fromIfx, fromIfx, fromIfx, fromIfx, fromString, fromString, toBytes, toIfx, toIfxTuple, toObject`

### Methods inherited from class com.informix.jdbc.IfxVarChar

`equals, fromAsciiStream, fromBigDecimal, fromBoolean, fromBoolean, fromByte, fromByte, fromCharacterStream, fromDate, fromDecimal, fromDouble, fromDouble, fromFloat, fromFloat, fromInputStream, fromInt, fromInt, fromLong, fromLong, fromShort, fromShort, fromTime, fromTimestamp, toAsciiStream, toBoolean, toByte, toCharacterStream, toDate, toDecimal, toDouble, toFloat, toInputStream, toInt, toLong, toObject, toShort, toString, toTime, toTimestamp`

### Methods inherited from class com.informix.jdbc.IfxObject

`clear, clearWarning, fromAsciiStream, fromBinaryStream, fromBinaryStream, fromBlob, fromCharacterStream, fromClob, fromDecimal, fromIfx, fromIfx, fromInputStream, fromIntervalDF, fromIntervalYM, fromObject, fromObject, fromObject, get_used_in_update, getEncodedLength, getWarning, isNull, nullify, set_used_in_update, setConnection, setExtendedTypeName, setIfxType, setTypeMap, toBinaryStream, toBlob, toClob, toIfxBSONObject, toInterval, toIntervalDF, toIntervalYM, toUnloadString, unnullify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IfxImpExp

    public IfxImpExp(java.lang.String str)
              throws java.sql.SQLException

Throws:
  `java.sql.SQLException`